# basix.lattice

Functions to manipulate lattice types.

Functions

`create_lattice`(celltype, n, ltype, exterior) | Create a lattice of points on a reference cell.

basix.lattice.create_lattice(celltype: CellType, n: int, ltype: LatticeType, exterior: bool, method: LatticeSimplexMethod = LatticeSimplexMethod.none) → ArrayLike

  Create a lattice of points on a reference cell.

  Parameters:

    - celltype – Cell type.

    - n – The size in each direction. There will be `n+1` points along each edge of the cell.

    - ltype – Lattice type.

    - exterior – If `True`, the points on the edges will be included.

    - method – The simplex method used to generate points on simplices.

  Returns:

    Lattice points